---
updatedAt: 2026-08-19T01:09:18.000Z
agentTools:
  projectIndex: https://docs.noves.fi/llms.txt
---

# /{chain}/featuredApps/{providerParty}/burn

Returns traffic purchases for the Featured App's configured validator parties.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Canton API",
    "description": "Query public and private Canton updates, balances, prices, rewards, verdicts, and Featured App activity. Create stream subscriptions and alerts for ongoing delivery.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.canton.noves.fi/"
    }
  ],
  "paths": {
    "/{chain}/featuredApps/{providerParty}/burn": {
      "get": {
        "tags": [
          "Featured Apps"
        ],
        "summary": "/{chain}/featuredApps/{providerParty}/burn",
        "description": "Returns traffic purchases for the Featured App's configured validator parties.",
        "parameters": [
          {
            "name": "chain",
            "in": "path",
            "description": "Canton chain name. Use a name returned by `GET /chains`.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "canton",
              "example": "canton"
            }
          },
          {
            "name": "providerParty",
            "in": "path",
            "description": "Exact Canton provider party registered to the Featured App.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "startTimestamp",
            "in": "query",
            "description": "Start of the requested time window, as Unix seconds. Optional.",
            "style": "form",
            "schema": {
              "maximum": 253402300799,
              "minimum": -62135596800,
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "endTimestamp",
            "in": "query",
            "description": "End of the requested time window, as Unix seconds. Optional.",
            "style": "form",
            "schema": {
              "maximum": 253402300799,
              "minimum": -62135596800,
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "Maximum number of traffic purchases returned per page. Default is 100; maximum is 500.",
            "style": "form",
            "schema": {
              "maximum": 500,
              "minimum": 1,
              "type": "integer",
              "format": "int32",
              "default": 100
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "Sort order by effective time. Supported values are `asc` and `desc`. Default is `desc`.",
            "style": "form",
            "schema": {
              "pattern": "^(?i:asc|desc)$",
              "type": "string",
              "default": "desc"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "description": "Opaque cursor from the previous response's <i>nextCursor</i>. It is valid only for the same provider, window, and sort order.",
            "style": "form",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Canton API. To generate an API Key, visit https://app.noves.fi",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FeaturedAppTrafficPurchasesResponseDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "502": {
            "description": "Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ApiPeriodDto": {
        "required": [
          "endTime",
          "startTime"
        ],
        "type": "object",
        "properties": {
          "startTime": {
            "type": "string",
            "description": "Inclusive start of the response window (ISO 8601).",
            "format": "date-time"
          },
          "endTime": {
            "type": "string",
            "description": "Exclusive end of the response window (ISO 8601).",
            "format": "date-time"
          }
        },
        "additionalProperties": false,
        "description": "Resolved query period with an inclusive start and exclusive end."
      },
      "FeaturedAppTrafficPurchaseDto": {
        "required": [
          "effectiveAt",
          "trafficCostCc",
          "trafficCostUsd",
          "trafficUnits",
          "updateId",
          "validatorParty"
        ],
        "type": "object",
        "properties": {
          "effectiveAt": {
            "type": "string",
            "description": "Ledger effective time of the traffic purchase (ISO 8601).",
            "format": "date-time"
          },
          "updateId": {
            "minLength": 1,
            "type": "string",
            "description": "Ledger update identifier."
          },
          "validatorParty": {
            "minLength": 1,
            "type": "string",
            "description": "Configured validator party that purchased traffic."
          },
          "trafficCostCc": {
            "minLength": 1,
            "type": "string",
            "description": "Canton Coin spent on the purchase, as a decimal string."
          },
          "trafficCostUsd": {
            "minLength": 1,
            "type": "string",
            "description": "USD value of the purchase as a decimal string."
          },
          "trafficUnits": {
            "type": "integer",
            "description": "Traffic units purchased.",
            "format": "int64"
          }
        },
        "additionalProperties": false,
        "description": "One Featured App traffic purchase."
      },
      "FeaturedAppTrafficPurchasesResponseDto": {
        "required": [
          "hasMore",
          "items",
          "period"
        ],
        "type": "object",
        "properties": {
          "period": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ApiPeriodDto"
              }
            ],
            "description": "Resolved query period."
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FeaturedAppTrafficPurchaseDto"
            },
            "description": "Traffic purchases in the requested page."
          },
          "hasMore": {
            "type": "boolean",
            "description": "True when another page is available."
          },
          "nextCursor": {
            "type": "string",
            "description": "Opaque cursor for the next page.",
            "nullable": true
          },
          "nextPageUrl": {
            "type": "string",
            "description": "Public URL for the next page.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Paginated Featured App traffic purchases."
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    }
  }
}
```